Summary:	A screen manager that supports multiple logins on one terminal
Name:		screen
Version:	4.5.1
Release: 	%mkrel 1
License:	GPLv2+
Group:		Terminals
BuildRequires:	ncurses-devel
BuildRequires:	utempter-devel
BuildRequires:	texinfo
URL:		http://www.gnu.org/software/screen/
Source0:	ftp://ftp.gnu.org/gnu/screen/screen-%{version}.tar.gz
# correct the location of various files in man page and info page 
# not sent upstream
Patch4:		screen-4.2.1-fix-utmp.patch
Patch5:		screen-4.5.1-texinfo-syntax.patch
# add U as default binding to switch to utf8, in /etc/screenrc
# not to send upstream
Patch8:		screen-4.0.2-screenrc-utf8-switch.patch
Requires(post): info-install
Requires(pre):  info-install

%description
The screen utility allows you to have multiple logins on just one
terminal.  Screen is useful for users who telnet into a machine or
are connected via a dumb terminal, but want to use more than just
one login.

Install the screen package if you need a screen manager that can
support multiple logins on one terminal.

%prep

%setup -q
%patch4 -p1
%patch5 -p1
%patch8 -p0

%build
# 5 is tty group
%configure2_5x --enable-colors256 \
               --with-pty-mode=0620 \
               --with-pty-group=5 \
               --enable-telnet

perl -pi -e 's|.*#undef HAVE_BRAILLE.*|#define HAVE_BRAILLE 1|' config.h

perl -pi -e 's|%{_prefix}/etc/screenrc|%{_sysconfdir}/screenrc|' config.h
perl -pi -e 's|/usr/local/etc/screenrc|%{_sysconfdir}/screenrc|' etc/etcscreenrc doc/*
perl -pi -e 's|/local/etc/screenrc|%{_sysconfdir}/screenrc|' doc/*

%make CFLAGS="$RPM_OPT_FLAGS -DETCSCREENRC=\\\"%{_sysconfdir}/screenrc\\\""

%install
mkdir -p %{buildroot}/%{_sysconfdir}/skel

%makeinstall SCREENENCODINGS=%{buildroot}/%{_datadir}/screen/utf8encodings/

( cd %{buildroot}/%{_bindir} && {
	rm -f screen.old screen
	mv screen-%{version} screen
  }
)

install -c -m 0644 etc/etcscreenrc %{buildroot}/%{_sysconfdir}/screenrc
install -c -m 0644 etc/screenrc %{buildroot}/%{_sysconfdir}/skel/.screenrc

mkdir -p %{buildroot}/%{_sysconfdir}/profile.d

cat > %{buildroot}/%{_sysconfdir}/profile.d/20screen.sh <<'EOF'
if [ -z "$SCREENDIR" ]; then
    export SCREENDIR=$HOME/tmp
fi
EOF

%post
%_install_info %{name}

%preun
%_remove_install_info %{name}

%files
%doc README doc/FAQ doc/README.DOTSCREEN ChangeLog
%{_bindir}/screen
%{_mandir}/man1/screen.1*
%{_infodir}/screen.info*
%config(noreplace) %{_sysconfdir}/profile.d/20screen.sh
%config(noreplace) %{_sysconfdir}/screenrc
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/skel/.screenrc
%{_datadir}/screen/



%changelog
* Sun Feb 26 2017 luigiwalser <luigiwalser> 4.5.1-1.mga6
+ Revision: 1087925
- 4.5.1
- add patch to fix texinfo syntax mistake in 4.5.1

  + tv <tv>
    - do not package outdated NEWS

* Wed Jan 18 2017 luigiwalser <luigiwalser> 4.5.0-1.mga6
+ Revision: 1082408
- 4.5.0

* Thu Aug 11 2016 luigiwalser <luigiwalser> 4.4.0-1.mga6
+ Revision: 1045593
- 4.4.0
- remove upstreamed CVE-2015-6806 patch

* Mon Jan 11 2016 luigiwalser <luigiwalser> 4.3.1-1.mga6
+ Revision: 921720
- 4.3.1
- remove upstreamed patches 12, 13, and 15

* Fri Sep 04 2015 luigiwalser <luigiwalser> 4.2.1-4.mga6
+ Revision: 872761
- add patches from debian to fix security issues including CVE-2015-6806

* Wed Oct 15 2014 umeabot <umeabot> 4.2.1-3.mga5
+ Revision: 739575
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2.1-2.mga5
+ Revision: 689078
- Mageia 5 Mass Rebuild

* Wed Apr 30 2014 guillomovitch <guillomovitch> 4.2.1-1.mga5
+ Revision: 618951
- new version 4.2.1
- update patches 4 and 12
- drop obsoletes patches 6, 7, 9, 13, 14 and 15

* Mon Feb 10 2014 jquelin <jquelin> 4.0.3-15.mga5
+ Revision: 588153
- reverting, need to be owner of SCREENDIR

* Mon Feb 10 2014 jquelin <jquelin> 4.0.3-14.mga5
+ Revision: 588142
- respect system policy for screen temp directory

* Sat Oct 19 2013 umeabot <umeabot> 4.0.3-13.mga4
+ Revision: 532685
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 luigiwalser <luigiwalser> 4.0.3-12.mga4
+ Revision: 469239
- add patch from mancha to fix null pointer deref with glibc 2.17

* Mon Jan 14 2013 umeabot <umeabot> 4.0.3-11.mga3
+ Revision: 381897
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 10 2012 blino <blino> 4.0.3-10.mga3
+ Revision: 259477
- rebuild to get info pages as xz instead of lzma

  + guillomovitch <guillomovitch>
    - spec cleanup

* Sat Jan 08 2011 blino <blino> 4.0.3-9.mga1
+ Revision: 745
- imported package screen

